GET/api/v1/address_group/List Address Groups
Lists address groups visible to the project.
Parameters
| Name | In | Required | Description |
|---|
| admin_domain | query | no | — |
| admin_project | query | no | — |
| name | query | no | — |
| description | query | no | — |
Responses
200Successful Response400Bad Request401Unauthorized403Forbidden422Validation error429Too Many Requests500Internal Server Error
https://api.nimbusnexus.net/api/v1/address_group/
POST/api/v1/address_group/Create Address Group
Creates an address group that can be referenced by security group rules.
Request body
JSON body required.
Responses
201Successful Response400Bad Request401Unauthorized403Forbidden404Not Found409Conflict422Validation error429Too Many Requests500Internal Server Error
https://api.nimbusnexus.net/api/v1/address_group/
GET/api/v1/address_group/{address_group_id}Get Address Group
Returns the details of a single address group by ID.
Parameters
| Name | In | Required | Description |
|---|
| address_group_id | path | yes | — |
Responses
200Successful Response400Bad Request401Unauthorized403Forbidden404Not Found422Validation error429Too Many Requests500Internal Server Error
https://api.nimbusnexus.net/api/v1/address_group/{address_group_id}
PUT/api/v1/address_group/{address_group_id}Update Address Group
Updates the name or description of an existing address group.
Parameters
| Name | In | Required | Description |
|---|
| address_group_id | path | yes | — |
Request body
JSON body required.
Responses
200Successful Response400Bad Request401Unauthorized403Forbidden404Not Found409Conflict422Validation error429Too Many Requests500Internal Server Error
https://api.nimbusnexus.net/api/v1/address_group/{address_group_id}
DELETE/api/v1/address_group/{address_group_id}Delete Address Group
Deletes an address group by ID.
Parameters
| Name | In | Required | Description |
|---|
| address_group_id | path | yes | — |
Responses
204Successful Response400Bad Request401Unauthorized403Forbidden404Not Found422Validation Error429Too Many Requests500Internal Server Error
https://api.nimbusnexus.net/api/v1/address_group/{address_group_id}
PUT/api/v1/address_group/{address_group_id}/add_addressesAdd Addresses
Adds CIDR addresses to an existing address group.
Parameters
| Name | In | Required | Description |
|---|
| address_group_id | path | yes | — |
Request body
JSON body required.
Responses
200Successful Response400Bad Request401Unauthorized403Forbidden404Not Found409Conflict422Validation error429Too Many Requests500Internal Server Error
https://api.nimbusnexus.net/api/v1/address_group/{address_group_id}/add_addresses
PUT/api/v1/address_group/{address_group_id}/remove_addressesRemove Addresses
Removes CIDR addresses from an existing address group.
Parameters
| Name | In | Required | Description |
|---|
| address_group_id | path | yes | — |
Request body
JSON body required.
Responses
200Successful Response400Bad Request401Unauthorized403Forbidden404Not Found409Conflict422Validation error429Too Many Requests500Internal Server Error
https://api.nimbusnexus.net/api/v1/address_group/{address_group_id}/remove_addresses